summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDaniel Ahlberg <aliz@gentoo.org>2004-09-10 17:34:30 +0000
committerDaniel Ahlberg <aliz@gentoo.org>2004-09-10 17:34:30 +0000
commit5c3d902a041e74d3fbee6297ff98d60364968c8c (patch)
tree80635880ee4a22d278a2731935e93b57969d90c0 /eclass/myth.eclass
parentAdditional fixes (diff)
downloadhistorical-5c3d902a041e74d3fbee6297ff98d60364968c8c.tar.gz
historical-5c3d902a041e74d3fbee6297ff98d60364968c8c.tar.bz2
historical-5c3d902a041e74d3fbee6297ff98d60364968c8c.zip
Additional fixes
----------------------------------------------------------------------
Diffstat (limited to 'eclass/myth.eclass')
-rw-r--r--eclass/myth.eclass7
1 files changed, 6 insertions, 1 deletions
diff --git a/eclass/myth.eclass b/eclass/myth.eclass
index 57100d4bb2e8..df3921d4d355 100644
--- a/eclass/myth.eclass
+++ b/eclass/myth.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/myth.eclass,v 1.1 2004/09/10 16:47:40 aliz Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/myth.eclass,v 1.2 2004/09/10 17:34:30 aliz Exp $
#
# Author: Daniel Ahlberg <aliz@gentoo.org>
#
@@ -13,6 +13,11 @@ EXPORT_FUNCTIONS src_unpack src_compile src_install
myth_src_unpack() {
unpack ${A} ; cd ${S}
+ sed -e "s:PREFIX = .*:PREFIX = /usr:" \
+ -e "s:QMAKE_CXXFLAGS_RELEASE = .*:QMAKE_CXXFLAGS_RELEASE = ${CXXFLAGS}:" \
+ -e "s:QMAKE_CFLAGS_RELEASE = .*:QMAKE_CFLAGS_RELEASE = ${CFLAGS}:" \
+ -i 'settings.pro' || die "Initial setup failed"
+
if use debug ; then
FEATURES="${FEATURES} nostrip"
sed -e 's:#CONFIG += debug:CONFIG += debug:' \